Open Lighting Architecture: ola::acn::DMPInflator Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
ola::acn::DMPInflator Class Reference
Inheritance diagram for ola::acn::DMPInflator:

## Public Member Functions
uint32_t | Id () const
Public Member Functions inherited from ola::acn::BaseInflator
| BaseInflator (PDU::vector_size v_size=PDU::FOUR_BYTES)
bool | AddInflator (InflatorInterface *inflator)
class InflatorInterface * | GetInflator (uint32_t vector) const
virtual unsigned int | InflatePDUBlock (HeaderSet *headers, const uint8_t *data, unsigned int len)

## Protected Member Functions
bool | DecodeHeader (HeaderSet *headers, const uint8_t *data, unsigned int len, unsigned int *bytes_used)
void | ResetHeaderField ()
Protected Member Functions inherited from ola::acn::BaseInflator
virtual void | ResetPDUFields ()
bool | DecodeLength (const uint8_t *data, unsigned int data_length, unsigned int *pdu_length, unsigned int *bytes_used) const
bool | DecodeVector (uint8_t flags, const uint8_t *data, unsigned int length, uint32_t *vector, unsigned int *bytes_used)
bool | InflatePDU (HeaderSet *headers, uint8_t flags, const uint8_t *data, unsigned int pdu_len)
virtual bool | PostHeader (uint32_t vector, const HeaderSet &headers)
virtual bool | HandlePDUData (uint32_t vector, const HeaderSet &headers, const uint8_t *data, unsigned int pdu_len)

## Friends
class | DMPInflatorTest

## Additional Inherited Members
Static Public Attributes inherited from ola::acn::BaseInflator
static const uint8_t | LFLAG_MASK = 0x80
static const uint8_t | LENGTH_MASK = 0x0F
Protected Attributes inherited from ola::acn::BaseInflator
uint32_t | m_last_vector
bool | m_vector_set
PDU::vector_size | m_vector_size
std::map< uint32_t, InflatorInterface * > | m_proto_map

## Member Function Documentation

## ◆ DecodeHeader()

bool ola::acn::DMPInflator::DecodeHeader | ( | HeaderSet * | headers,
|  | const uint8_t * | data,
|  | unsigned int | len,
|  | unsigned int * | bytes_used )
| protectedvirtual

Implements ola::acn::BaseInflator.

## ◆ Id()

uint32_t ola::acn::DMPInflator::Id | ( |  | ) | const
| inlinevirtual

Implements ola::acn::InflatorInterface.

## ◆ ResetHeaderField()

void ola::acn::DMPInflator::ResetHeaderField | ( |  | ) |
| protectedvirtual

Implements ola::acn::BaseInflator.

The documentation for this class was generated from the following files:

- libs/acn/DMPInflator.h
- libs/acn/DMPInflator.cpp